Name:          librepo
Version:       1.16.0
Release:       1mamba
Summary:       A library providing C and Python API for downloading packages and linux repository metadata in rpm-md format
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://rpm-software-management.github.io/librepo/
## GITSOURCE https://github.com/rpm-software-management/librepo.git 1.8.1
Source:        https://github.com/rpm-software-management/librepo.git/%{version}/librepo-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libassuan-devel
BuildRequires: libcurl-devel
BuildRequires: libglib-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgpgme-devel
BuildRequires: libopenssl-devel
BuildRequires: libpython3-devel
BuildRequires: libxml2-devel
BuildRequires: libzck-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
A library providing C and Python (libcURL like) API for downloading packages and linux repository metadata in rpm-md format.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n python-librepo-py3
Group:         System/Libraries/Python
Summary:       Python 3 bindings for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-librepo-py3
This package contains the Python 3 bindings for %{name}.

%debug_package

%prep
%setup -q

%build
%cmake -d build \
   -DPYTHON_DESIRED=3

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/librepo.so.*
%doc AUTHORS COPYING

%files -n python-librepo-py3
%defattr(-,root,root)
%dir %{python3_sitearch}/librepo
%{python3_sitearch}/librepo/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/librepo
%{_includedir}/librepo/*.h
%{_libdir}/librepo.so
%{_libdir}/pkgconfig/librepo.pc
%doc README.md

%changelog
* Sat Sep 02 2023 Automatic Build System <autodist@mambasoft.it> 1.16.0-1mamba
- automatic version update by autodist

* Wed Aug 02 2023 Automatic Build System <autodist@mambasoft.it> 1.15.2-1mamba
- automatic version update by autodist

* Sat Dec 10 2022 Automatic Build System <autodist@mambasoft.it> 1.15.1-1mamba
- automatic version update by autodist

* Sat Sep 10 2022 Automatic Build System <autodist@mambasoft.it> 1.14.5-1mamba
- automatic version update by autodist

* Thu Aug 25 2022 Automatic Build System <autodist@mambasoft.it> 1.14.4-1mamba
- automatic version update by autodist

* Sat May 07 2022 Automatic Build System <autodist@mambasoft.it> 1.14.3-1mamba
- automatic version update by autodist

* Sat Aug 28 2021 Automatic Build System <autodist@mambasoft.it> 1.14.2-1mamba
- automatic version update by autodist

* Tue Jun 15 2021 Automatic Build System <autodist@mambasoft.it> 1.14.1-1mamba
- automatic version update by autodist

* Wed Apr 14 2021 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Sun Feb 07 2021 Automatic Build System <autodist@mambasoft.it> 1.13.0-1mamba
- automatic version update by autodist

* Sat Aug 15 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.0-1mamba
- update to 1.12.0

* Thu Feb 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11.2-1mamba
- update to 1.11.2

* Thu Jan 16 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11.0-1mamba
- update to 1.11.0

* Tue Jun 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.3-1mamba
- update to 1.10.3

* Sat Jun 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.0-1mamba
- update to 1.9.0

* Thu May 17 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-1mamba
- package created using the webbuild interface
